Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1151276 (CVE-2014-8088) - CVE-2014-8088 php-ZendFramework: null byte issue, connect to LDAP without knowing the password (ZF2014-05)
Summary: CVE-2014-8088 php-ZendFramework: null byte issue, connect to LDAP without kno...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-8088
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1151278 1151279 1151280 1151281
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-10 03:08 UTC by Murray McAllister
Modified: 2019-09-29 13:23 UTC (History)
7 users (show)

Fixed In Version: Zend Framework 1.12.9, Zend Framework 2.2.8, Zend Framework 2.3.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 15:44:27 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-10-10 03:08:20 UTC
The 1.12.9, 2.2.8, and 2.3.3 releases of the Zend Framework fix an issue regarding LDAP bind's and null bytes. For applications using the Zend Framework and PHP's ldap_bind, an attacker could use this flaw to log in as another user without knowing that user's password.

For the php-ZendFramework packages (not php-ZendFramework2) in Fedora 19 and 20, the fixed version is already in the testing repositories.

References:

http://framework.zend.com/security/advisory/ZF2014-05
http://framework.zend.com/blog/zend-framework-1-12-9-2-2-8-and-2-3-3-released.html

Comment 1 Murray McAllister 2014-10-10 03:12:38 UTC
Created php-ZendFramework2 tracking bugs for this issue:

Affects: fedora-all [bug 1151278]
Affects: epel-6 [bug 1151280]
Affects: epel-7 [bug 1151281]

Comment 2 Murray McAllister 2014-10-10 03:12:40 UTC
Created php-ZendFramework tracking bugs for this issue:

Affects: epel-6 [bug 1151279]

Comment 3 Murray McAllister 2014-10-10 03:21:47 UTC
CVE request: http://www.openwall.com/lists/oss-security/2014/10/10/2

Comment 4 Remi Collet 2014-10-10 09:36:58 UTC
Notice: Fedora is not affected by this bug which is fixed in PHP.

From official annoucement "This corrects for unpatched versions of PHP (versions 5.5.11 and below, 5.4.27 and below, and any prior releases)."

Comment 5 Fedora Update System 2014-10-16 02:00:13 UTC
php-ZendFramework2-2.3.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-10-17 08:37:21 UTC
php-ZendFramework-1.12.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-10-17 08:42:20 UTC
php-ZendFramework-1.12.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-28 06:44:56 UTC
php-ZendFramework2-2.3.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-28 11:01:34 UTC
php-ZendFramework-1.12.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-28 11:02:55 UTC
php-ZendFramework2-2.3.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-11-01 16:20:04 UTC
php-ZendFramework-1.12.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-10 06:49:19 UTC
php-ZendFramework2-2.2.8-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-11-16 04:15:20 UTC
php-ZendFramework2-2.2.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Shawn Iwinski 2015-01-03 05:09:03 UTC
All dependent bugs have been addressed and are closed.  Can this bug be closed?

Comment 15 Felix Kaechele 2015-01-03 15:44:27 UTC
Thanks for the hint!


Note You need to log in before you can comment on or make changes to this bug.